TadTools 3.3.9 (2020-09-12 釋出)
====================================
1.修正 TadModData.php 部份bug，並新增功能
2.TadUpFiles.php 加入必填設定
3.新增 main_menu_var 主選單樣板參數

TadTools 3.3.8 (2020-06-16 釋出)
====================================
1.優化後台清單樣式
2.新增 jQuery UI Touch Punch
3.修正在嚴格模式下 TadUpFiles.php 匯入檔案會出錯的問題
4.修正BootStrap4三欄式佈景在左邊區塊或右邊區塊全無時，會留下空白的問題
5.修改 TadUpFiles.php，增加條列式檔案的使用彈性
6.修改樣板若在下方時，區塊排列會不正常情形
7.新增懶人開發框架 $TadMod 及 $TadModData
8.修改 TadUpFiles.php 的刪除問題
9.新增 Bootstrap4Editable，並將 Bootstrap3Editable 改為自動相容Bootstrap3及Bootstrap4
10.調整logo顯示方式
11.改用 Xmf\Request 過濾變數


TadTools 3.3.7 (2020-04-13 釋出)
====================================
1.移除 CKEditor 的上傳頁籤，一律改用「瀏覽並上傳」（感謝geek01）
2.修正佈景背景滿版設定無效的問題
3.修正html5()中無標題的問題
4.加入可設定副檔案以禁止上傳的功能

TadTools 3.3.6 (2020-03-28 釋出)
====================================
1.修正 BootStrap3 的 CSS 有誤部份
2.修改 TadUpFiles.php 縮圖透明背景問題
3.添加進階區塊選項至歡迎選單中
4.支援佈景額外設定新的 bg_file 類型

TadTools 3.3.5 (2020-03-21 釋出)
====================================
1.調整佈景用的樣板
2.加入遺失的bootstrap-table.php
3.修改 TadUpFiles.php 匯入檔案時無法產生縮圖的問題

TadTools 3.3.4 (2020-03-14 釋出)
====================================
1.針對無障礙 2.0 AA標準進行修正

TadTools 3.3.3 (2020-03-05 釋出)
====================================
1.精簡 Video-JS，並加入自動播放、重複播放、清單位置...等設定
2.新增 xoops_security_check() 表單安全性檢查工具
3.修改 Bootstrap3Editable
4.修正附檔圖片無法旋轉問題
5.修正註冊驗證會失敗的問題
6.修正BootStrap4部分樣板路徑不正確問題
7.移除舊版 PHPExcel及PHPWord
8.將 themes3_tpl、themes4_tpl 中的menu及slide資料夾移至themes_common
9.新增DataList物件


TadTools 3.3.2 (2019-10-16 釋出)
====================================
1.修正後台初始化設定部份佈景無法「套用BootStrap顏色」的問題
2.精簡樣板，並補齊 themes4_tpl 缺少的樣板
3.修正 Easy-Responsive-Tabs 頁籤在 chrome 下有時會顯示錯亂的問題
4.加入 Video-JS 以取代 JWPlayer



TadTools 3.3.1 (2019-09-23 釋出)
====================================
1.修改 TadUpFiles.php 為自動判斷是否需要檢查檔案格式，並取消 MIME-Type 的偏好設定的
2.修正導覽列位置不正確問題
3.導覽列選項沒有設定網址時就取消其連結，避免誤按
4.修改 tcpdf 輸出檔名不正確的問題
5.修正後台初始設定有時會出現不正確設定的問題
6.擴展自訂 interface_menu 支援到兩層
7.支援自動套用logo功能
8.導覽列支援「不顯示回首頁」的功能
9.修正單欄式左區域樣板不正確問題
10.新增 dd() 除錯工具
11.解決 StarRating 和 MySQL 相衝問題
12.新增CodeMirror套件


TadTools 3.3 (2019-08-05 釋出)
====================================
1.改從tad_themes讀取導覽列的登入設定
2.修正logo會被選單遮住的問題
3.美化App安裝區塊


TadTools 3.2.9 (2019-07-23 釋出)
====================================
1.修正 BootStrap4 關站樣板
2.新增 App 下載設定區塊


TadTools 3.2.8 (2019-06-17 釋出)
====================================
1.修正CKEdtor無法崁入多媒體問題
2.微調後台樣式
3.修改 TreeTable 樣式


TadTools 3.2.7 (2019-06-13 釋出)
====================================
1.修正 mk_dir() 函數錯誤
2.新增 Utility::get_version() 版本檢查工具
3.新增 Utility::add_migrate() 加入 jquery migrate 工具
4.加強 video.php、upload.php的安全性
5.修正 TCPDF 套件問題


TadTools 3.2.6 (2019-05-09 釋出)
====================================
1.升級 tcpdf 為 6.2.26 版
2.移除 jBreadCrumb 套件
3.升級 class.upload.php 為 0.35-dev
4.加上可以關閉檔案上傳時 mime type 檢查的偏好設定
5.修正 Easy-Responsive-Tabs 頁籤無法套用顏色問題
6.新增 phpseclib 套件
7.加入 namespace，並將常用函數物件化
8.支援 XOOPS 2.5.10


TadTools 3.2.5 (2019-03-24 釋出)
====================================
1.調整編碼判斷，避免轉碼失敗

TadTools 3.2.4 (2019-03-19 釋出)
====================================
1.TadUpFiles.php 新增下載權限設定機制
2.修改非管理員無法刪除附檔問題
3.加入 bootstrap-table 套件
4.放回 bootstrap2
5.更新 phpExcel 及 phpWord 物件


TadTools 3.2.3 (2019-01-23 釋出)
====================================
1.移除summernote編輯器
2.修正CKEditor無法上傳問題
3.加入編輯器圖片上傳自動縮圖機制
4.移除有資安疑慮的檔案
5.修正BootStrap3布景在某些模組無法正確顯示畫面的問題


TadTools 3.2.2 (2019-01-20 釋出)
====================================
1.修補可利用工具任意刪除檔案的漏洞
2.修正導覽列開新視窗、彈出視窗失效的問題


TadTools 3.2.1 (2019-01-01 釋出)
====================================
1.移除 CKEditor 的 jwplayer 外掛
2.支援 BootStrap4
3.支援 PHP 7.3


TadTools 3.2 (2018-08-23 釋出)
====================================
1.CKEditor加入CodeSnippet按鈕
2.區塊標題檔使用[img]時可以套用佈景管理的區塊標題設定


TadTools 3.1.9 (2018-06-08 釋出)
====================================
1.支援資料庫的嚴格模式
2.選單未設可讀群組視同開放
3.修改模組偏好設定的使用，避免和其他模組衝突
4.檔案下載部份，若PHP版本為5.5以上，自動改為串流格式以節省記憶體
5.加入導覽列文字大小設定
6.導覽列鎖定時自動出現陰影


TadTools 3.1.8 (2018-05-14 釋出)
====================================
1.新增 js cookie 2.2.0
2.修改 Easy-Responsive-Tabs 套件以支援 cookie
3.選單陣列變數加入可讀群組設定
4.增加 ttf,ttc,otf 格式
5.新增 tadnews app相關檔案（感謝geek01）
6.移除 tchinese Big5 語系


TadTools 3.1.7 (2018-03-20 釋出)
====================================
1.提高 TadDataCenter 的版本相容性，支援 PHP 5.4 以下版本
2.無障礙 2.0 A 級修正
3.更新jquery qtip2 為 3.0.3 版
4.修正 jquery.validationEngine.js 於新版 jquery 下部份檢查無效的問題
5.TadDataCenter 加入自訂表單功能
6.TadUpFiles.php 新增各種檔案格式限制功能（感謝geek01）
7.新增 setup_meta()函數


TadTools 3.1.6 (2018-02-13 釋出)
====================================
1.修改導覽列共同樣板使之支援選項距離設定
2.關閉註冊時登入選單會隱藏註冊選項


TadTools 3.1.5 (2018-02-11 釋出)
====================================
1.jquery.validationEngine.js 更新為 2.6.2修正版
2.修改Easy-Responsive-Tabs套件以支援巢狀頁籤
3.佈景標題圖自適應
4.加入自適應表格CSS


TadTools 3.1.4 (2017-12-27 釋出)
====================================
1.加入.tiff上傳格式
2.修改後台樣式
3.新增行動裝置偵測機制
4.增加自適應表格樣式
5.TadUpFiles.php 新增各種檔案資訊
6.加入身份證號驗證


TadTools 3.1.3 (2017-11-02 釋出)
====================================
1.將所有滑動圖片加上連結開到新視窗功能[url_blank]網址[/url_blank]
2.修正檔案下載連結的問題
3.移除無用的PFBC


TadTools 3.1.2 (2017-10-12 釋出)
====================================
1.標題技法[pic]及[icon]支援完整連結圖片


TadTools 3.1.1 (2017-10-03 釋出)
====================================
1.升級 fullcalendar 為 3.5.1
2.移除 elrte 編輯器


TadTools 3.1 (2017-09-25 釋出)
====================================
1.縮圖改成全圖呈現
2.修改共同樣板的 meta 標籤
3.移除不必要的驗證語法
4.將 codemirror 改成偏好設定可關閉或啟用
5.調整縮圖寬度，放大且設為正方形
6.移除 jquery-migrate
7.解決 jquery.jgrowl 的問題
8.升級My97DatePicker為4.8版
9.加入新版phpWord及phpExcel


TadTools 3.09 (2017-06-16 釋出)
====================================
1.新增framework7
2.完成無障礙 2.0 A 級檢測
3.更新ResponsiveSlides為1.5.5


TadTools 3.08 (2017-05-05 釋出)
====================================
1.升級 SmartMenu 為最新版
2.logo部份支援純文字
3.影片播放預設比例改為16:9


TadTools 3.07 (2017-04-20 釋出)
====================================
1.修改TCPDF預設字型
2.提高 https 相容性
3.加入TadDataCenter資料中心類別
4.上傳加入 gcode 格式支援
5.加入 tn_login 支援
6.刪除所有 .html 格式的共同樣板
7.優化佈景樣板



TadTools 3.06 (2017-03-17 釋出)
====================================
1.修正 BootStrap3 中 col-md- 失效的問題。
2.升級所有 BootStrap3 佈景


TadTools 3.05 (2017-03-15 釋出)
====================================
1.調整facebook標籤
2.讓elfinder支援中文資料夾和檔名
3.修正三欄式版面在某些狀況下會不正常的問題


TadTools 3.04 (2017-03-13 釋出)
====================================
1.修正CKEditor編輯器無法上傳除了圖片外的檔案之問題
2.升級 elFinder 為 2.1.22
3.修改左邊區塊在小螢幕中會自動拉到右邊
4.修正上傳檔案若有加密時會無法下載的問題


TadTools 3.03 (2017-03-02 釋出)
====================================
1.修正TadUpFiles.php檔案加密功能
2.修改選單列進入管理區的圖示
3.模組工具列新增「更新」按鈕
4.更新 fontawesome 為 4.7.0


TadTools 3.02 (2017-02-17 釋出)
====================================
1. 上傳加入 mp4、m4v、m4a、webm、ogg、ogv 等格式
2. PHPWord 新增縮排功能
3. TadUpFiles.php 新增文字連結功能


TadTools 3.01 (2017-01-20 釋出)
====================================
1.將 qtip 升級為 3.0
2.phpExcel 升級為 1.8.1 以支援PHP7
3.上傳加入 svg 格式


TadTools 3.0 (2017-01-07 釋出)
====================================
1.將RWD調整成1024下才運作
2.升級 elFinder 為 2.1.19，以避免嚴重安全性漏洞
3.增加tpl格式的樣板檔


TadTools 2.9.9 (2016-12-08 釋出)
====================================
1. get_xoops_url() 加入 https 判斷
2. 修改elFinder無法上傳中文檔名的問題
3. 上傳加入 7z、ufo、sb、sb2 等格式


TadTools 2.9.8 (2016-10-20 釋出)
====================================
1.升級 BootStrap 為 3.3.7
2.修正 My97DatePicker 套件無法使用問題
3.升級 tinymap 為 3.4.5
4.移除 jupload 套件
5.移除 footable-bootstrap 套件
6.針對快速登入做修改


TadTools 2.9.7 (2016-09-30 釋出)
====================================
1.加入 pannellum 套件
2.新增 TadUpFiles2.php 以支援 360 相片附檔
3.更新 Social Likes 為3.1.1
4.調整登入區塊


TadTools 2.9.6 (2016-06-18 釋出)
====================================
1.美化評論樣板
2.新增Easy-Responsive-Tabs套件


TadTools 2.9.5 (2016-06-16 釋出)
====================================
1.新增模組共同樣板檔
2.新增佈景共同語系
3.優化 profile 用戶帳號版面


TadTools 2.9.4 (2016-06-15 釋出)
====================================
1.修正後台樣板不正確問題
2.CKEditor 加入 CodeMirror 套件功能
3.上傳支援自解壓縮檔


TadTools 2.9.3 (2016-06-05 釋出)
====================================
1.支援 XOOPS 2.5.8
2.分頁功能一律改採 BootStrap3
3.修正關閉網站時，管理員無法登入的問題
4.上傳支援exe檔
5.更新 CKEditor 為 4.5.9 版，並修正無法使用貼上功能的問題。


TadTools 2.9.2 (2016-05-26 釋出)
====================================
1.移除 BootStrap2 殘留語法


TadTools 2.9.1 (2016-05-20 釋出)
====================================
1.修正部份語系
2.影片設定最小高度
3.升級JW Player為7.4.2版並修改播放器語法


TadTools 2.9 (2016-05-17 釋出)
====================================
1.修正部份PHP7不相容語法
2.修正共同樣板，使所有佈景均能正常呈現
3.加入佈景自動更新


TadTools 2.8.9 (2016-05-16 釋出)
====================================
1.CKeditor新增fontawesome符號工具
2.移除所有 BootStrap2 設定
3.調整並修正 BootStrap3 共同樣板
4.修正部份PHP7不相容語法


TadTools 2.8.8 (2016-04-13 釋出)
====================================
1.修正網站有時候無法自動判斷bootstrap版本的問題
2.更新 font awesome 為 4.6.1


TadTools 2.8.7 (2016-04-08 釋出)
====================================
1.修正 $TadUpFiles 無法更新檔案的問題，並新增在新視窗下載檔案功能。
2.更新 bootstrap 為 3.3.6
3.修改滑動圖文的文字大小
4.升級 JWPlayer為 6.12
5.刪除舊有 jwplayer.php 及 mediaplayer 目錄
6.新增 SPRUTO 播放器
7.修正模組工具列權限不正確問題
8.CKeditor新增bootstrap排版、樣式、引用、div、全選、取代...等功能


TadTools 2.8.6 (2016-01-21 釋出)
====================================
1.$TadUpFiles 加入用指定陣列編號取得多檔案的功能


TadTools 2.8.5 (2016-01-20 釋出)
====================================
1.新增 smoothslides 可縮放圖片的滑動圖文工具
2.$TadUpFiles 加入已上傳圖片管理功能


TadTools 2.8.4 (2016-01-10 釋出)
====================================
1.自動加入font-awesome
2.$TadUpFiles 加入檔案關鍵字篩選功能


TadTools 2.8.3 (2016-01-04 釋出)
====================================
1.加入 jquery-print-preview 列印預覽功能
2.加入CKEditor圖片旋轉工具及分頁工具
3.修改 $TadUpFiles 裡頭bootstrap無作用的問題


TadTools 2.8.2 (2015-12-17 釋出)
====================================
1.大幅改善 $TadUpFiles 檔案編輯及呈現界面
2.調整預設錯誤畫面
3.加入 Easy-Responsive-Tabs


TadTools 2.8.1 (2015-12-01 釋出)
====================================
1.font-awesome更新為 4.5.0
2.微調檔案顯示樣式
3.新增facebook相關meta功能
4.加上圖片旋轉功能


TadTools 2.8 (2015-11-04 釋出)
====================================
 1.新增 tcpdf 功能
 2.取消額外載入新（jgrowl


TadTools 2.7.9 (2015-10-30 釋出)
====================================
 1.檔案列表新增 mp3 線上播放支援


TadTools 2.7.8 (2015-10-26 釋出)
====================================
 1.修改 fck.php 避免一些模組的編輯器出無法使用。
 2.更新 summernote 為 0.6.16 版


TadTools 2.7.7 (2015-10-23 釋出)
====================================
 1.tad_function.php 新增 html5() 及 web_error() 函數
 2.CKEditor 移除 autogrow、mathedit 並新增數學編輯器及quicktable
 3.新增 fullcalendar 月曆套件
 4.滑動圖文套件增加標題字數、連結調整其顏色


TadTools 2.7.6 (2015-10-21 釋出)
====================================
 1.修正 get_menu_var.html 的內容
 2.修正 FooTable 無法載入 jquery 的情況
 3.CKeditor 升級為 4.5.4 版
 4.修正 video.php 的XSS弱點

TadTools 2.7.5 (2015-10-16 釋出)
====================================
 1.CK編輯器新增設定CSS功能以及新增 uploadcare 元件
 2.修正會出現找不到 jquery 的問題
 3.加入新版FooTable-Bootstrap
 4.新增 uploadcare public key 的偏好設定（有設才能用）

TadTools 2.7.4 (2015-09-02 釋出)
====================================
 1.font-awesome更新為 4.4.0
 2.為相容其他模組異動部份選單樣板


TadTools 2.7.3 (2015-08-05 釋出)
====================================
 1.修正部份jquery無法引入的問題
 2.修正stickytableheaders路徑錯誤問題


TadTools 2.7.2 (2015-08-02 釋出)
====================================
 1.解決 elFinder 無法刪除檔案的問題
 2.解決 boostrap3 導覽列第三層選項無法連結的問題
 3.刪除共同樣板中的引入 jquery.js 語法，避免重複
 4.解決一般佈景無法自動載入bootstrap設定的問題


TadTools 2.7.1 (2015-07-20 釋出)
====================================
 1.修正更新後可能會產生頁面導向不正確的問題
 2.調整佈景共同樣板，取消內容區的左右邊距（margin）。


TadTools 2.7 (2015-07-13 釋出)
====================================
 1.修正部份共同樣板在HTML模式下會有版面不正確的情形發生
 2.修正logo.html共同樣板多一個 > 符號的問題。
 3.修正使用bootstrap3時，導覽列會多出一個倒三角形的問題。
 4.修正英文語系
 5.將 OpenID 登入的兩個偏好設定移至 tad_login 模組的偏好設定
 6.cssmenu 及 nav-pills 導覽列加入登入表單
 7.精簡 fancy_box 的 js 語法


TadTools 2.69 (2015-06-30 釋出)
====================================
 1.修正無障礙及一些PHP通知訊息
 2.修正載入何種樣板誤判的情形
 3.調整accesskey位置
 4.修改PHP程式語法，使之符合PSR2規範
 5.修正ztree拉動排序不正確的問題
 6.新增template_common目錄以放置共同樣板



TadTools 2.68 (2015-05-26釋出)
====================================
 1.修正登入登出時，bootstrap版本判斷失準的問題。
 2.修正colorbox寬度設定不正確的問題。
 3.欄位驗證多加一個「中英文數字」的規則
 4.CKEditor加入bootstrap支援
 5.加入ztree 3.5樹狀目錄套件


TadTools 2.67 (2015-05-05釋出)
====================================
 1.修正 jwplayer_new.php 解決影片無法清單播放的問題。
 2.colorbox 加入長寬自動調整功能
 3.修正bootstrap3後台按鈕底色會變透明的問題
 4.更新 jquery-ui 為 1.11.4
 5.更新facebook留言簿為最新版，並以時間順序排序
 6.佈景加入導盲磚、accesskey等無障礙網頁機制
 7.工具列函數加入產生該模組選單的json檔以供網站地圖模組讀取


TadTools 2.66 (2015-03-23釋出)
====================================
 1.修改後台初始設定，在部份情況下無法選擇「套用BootStrap顏色」選項的問題。



TadTools 2.65 (2015-03-21釋出)
====================================
 1.新增 mColorPicker.php 顏色挑選器
 2.引入 jquery.jgrowl.js 1.4.2 取代官方舊版本使之可用於 jquery 1.9.x
 3.bubblepopup 改用qtip2取代之，以支援新版的 jquery
 4.修改 bubblepopup.php、ckcal.php、ck.php、dtree.php、elrte.php、fancybox.php、fck.php、flexslider2.php、FooTable.php、formValidator.php、jBreadCrumb.php、jeditable.php、jquery.php、jquery_pin.php、jwplayer.php、jwplayer_new.php、lofslidernews.php、star_rating.php、stickytableheaders.php、sweet_alert.php、syntaxhighlighter.php、treetable.php 將裡頭的 CSS 及 JavaScript 引入方式，改為XOOPS標準引入方式，可有效減少語法，避免程式互相衝突。
 5.刪除 TinyNav、jquery.form、jquery.qrcode、ztree 等無用套件
 6.新增 QR Code 區塊，可用在所有頁面。
 7.新增 summernote 編輯器（for 行動裝置）
 8.CKeditor 現在會自動判斷是否為行動裝置，若是，則自動切換為 Summernote 編輯器（CKeditor 目前無法在行動裝置下使用）
 9.將後台佈景設定界面，使每個佈景都可以套用不同BootStrap顏色
 10.刪除 bsie 套件
 11.tadtools完成bootstrap3界面



TadTools 2.64 (2015-02-25 釋出)
====================================
 1.font-awesome更新為 4.3.0
 2.修正$TadUpFiles無法下載的問題


TadTools 2.63 (2015-01-22 釋出)
====================================
 1.更新 social-likes 套件為 3.0.7
 2.加入 BootStrap3
 3.針對 BootStrap3 新增theme3_tpl共同樣板
 4.新增 smartmenus-0.9.7以解決 BootStrap3 下拉選單僅兩層的問題
 5.修正 facebook留言框寬度無法 100% 的問題
 6.將 darkstrap 搬移至\bootstrap\themes\dark\darkstrap
 7.新增 BootStrap3 許多佈景
 8.font-awesome更新為 4.2.0
 9.移除 Buttons 及 iCheck
 10.新增 sweet-alert 功能


TadTools 2.62 (2014-11-11 釋出)
====================================
 1.加入 syntaxhighlighter 2.1.382
 2.加入 syntaxhighlighter 的版本選偏好設定
 3.新增 sweet-alert 套件
 4.修正 cssmenu 共同樣板，使之可套用後台導覽列顏色設定
 5.修正樹狀目錄圖示消失的問題
 6.新增 nav-pills 選單共同樣板



TadTools 2.61 (2014-10-24 釋出)
====================================
 1.修正 lofslidernews.php 使之符合無障礙規範
 2.修正 dtree 使之符合無障礙規範
 3.新增 phpWord 合併儲存格功能
 4.修正 my_js.html，避免對其他按鈕造成影響
 5.更新 syntaxhighlighter 為 2.1.382 版，並補齊之前刪除的語言
 6.加入 syntaxhighlighter 偏好設定


TadTools 2.6 (2014-09-23 釋出)
====================================
 1.降（jquery 為 1.8.3，以增加對舊版jquery相容性
 2.修正 StickyTableHeaders路徑大小寫錯誤的bug
 3.更新 jquery ui為1.11.0版
 4.修正 slideshow_responsive.html 佈景選單的專屬橫幅功能無法正確顯示的問題
 5.更新 jquery cookie 為 1.4.1 版
 6.佈景變數加入 slide_url，以支援加入網址功能
 7.修正 amazingslider1.html 使之支援滑動圖片網址功能
 8.更新滑動圖文預設文字內容
 9.fancybox2新增避免點擊外圍而關閉的參數
10.後台字型大小設為12px
11.選單新增資料庫連結
12.安裝佈景時，自動判別是否需載入bootstrap
13.修正選單語系有時後會抓不到的問題
14.新增導覽列是否顯示登入選項的偏好設定
15.開啟TadTools前台功能（為了可以播放上傳的影片檔）
16.調整佈景變數呈現頁面，使之更容易閱讀
17.$TadUpFiles 加入 set_fancybox()，可決定是否套用fancybox
18.$TadUpFiles 加入 set_download_url()，可在下載時載入自己想要的路徑
19.增加三套滑動圖文共同樣板
20.修改menu.html位置，使之和其他選單較為一致
21.新增superfish選單功能
22.fancybox 加入自動播放功能
23.$TadUpFiles 加入圖片自動播放功能
24.增加slideman滑動圖文樣板


TadTools 2.5 (2014-06-25 釋出)
====================================
 1.新增兩個和佈景相關的偏好設定（可調整登入選單中的OpenID呈現方式以及是否釘選住導覽列）
 2.新增新的滑動圖文共同樣板，以提高相容性，並供更多佈景開發的選擇
 3.修正left_bottom.html及right_bottom.html共同樣板，避免樣板錯位。
 4.新增cssmenu下拉選單共同樣板公佈景開發套用
 5.佈景中的$menu_var選單樣板變數加入管理員選單及使用者選單兩部份
 6.修正get_menu_var.html中部份函數會相衝的問題（例如導致聯絡我們模組變成空白）
 7.新增佈景可自由選擇是否調用管理員、使用者選單的機制
 8.加入中文檔案下載路徑自動編碼的設定（臺南市飛番雲端主機請設成「否」。）
 9.修正 $TadUpFiles 遇到有子目錄的情形會無法下載的問題
10.修正共同樣板，加入登入登出功能。
11.更新jquery為1.11.1
12.修正mColorPicker.js中的無效語法
13.修復elFinder嚴重安全性漏洞



TadTools 2.4 (2014-05-17 釋出)
====================================
 1.因應tad_theme新增區塊樣式設定功能，修改共同樣板以支援該功能。
 2.重新優化導覽列語法，將選單變數獨立為get_menu_var.html，使之更彈性應用並更易於管理。
 3.將滑動圖文變數獨立為 get_slider_var.html，讓套用其他滑動圖文工具更方便。
 4.共同樣板my_js.html加入登入框欄位會自動調整大小避免破版的功能
 5.CKEditor新增一個簡易編輯模式
 6.修正Windows下中文檔名下載不正確的問題
 7.修正匯入圖檔時無法寫入圖片說明的問題
 8.滑動圖片的文字說明將80%的透明度改為50%並支援IE8（感謝王聖閔老師提供），並取消字型大小設定
 9.新增ztree樹狀目錄工具
10.修復樹狀表格拖曳搬移無作用的bug
11.共同樣板加入額外設定array類型的支援
12.新增colorbox燈箱效果



TadTools 2.3 (2014-05-02 釋出)
====================================
 1.修正 TadUpFiles 使之欲說明時，若無說明則以檔名替代之。
 2.加入 TadUpFiles 自動播放檔案時間之設定。
 3.工具列新增模組管理工具，並以圖形方式加上
 4.修正樣板以避免使用者沒有安裝 tad_themes 模組時會造成系統無法運作的狀況
 5.新增 mColorPicker 顏色選擇器
 6.升級 JWPlayer為 6.8（解決 Tad Player 在手機上無法播放影片的問題）


TadTools 2.2 (2014-04-09 釋出)
====================================
 1.讓佈景更聰明，沒有左欄或右欄時可以自動填滿版面
 2.修正 TadUpFiles 使之在下載時在某些windows中文檔名無法正確下載的問題
 3.修正 TadUpFiles 使之可排序附件順序
 4.responsiveslides滑動圖片及logo可支援flash
 5.內建更大量的佈景預設樣板
 6.新增 font-awesome 圖示 CSS
 7.新增 Buttons 按鈕 CSS
 8.新增 iCheck 單選複選 CSS
 9.預設佈景導覽列會釘在頂部
10.修正佈景在行動裝置下會有大量空白的區域產生情形
11.修正樣板提昇IE相容性
12.新增「是否崁入快速登入到登入選單中」的偏好設定
13.新增TinyNav自適應工具列
14.改用新版模組工具列，除了更美觀外，在行動裝置上會有更好的體驗
15.移除fckeditor編輯器目錄


TadTools 2.10 (2014-03-13 釋出)
====================================
1.加入特定頁面專屬橫功能
2.佈景標籤多一個 logo_position
3.共同樣板中，導覽列不顯示網站名稱時，改為顯示回首頁
4.修正共同樣板中區塊標題無法顯示圓角以及無法不重複標題背景圖的bug
5.取消共同樣板中HTML模式的佈景個區域margin設定，以避免內容被裁切。
6.修正二欄式右區域在下方時，若滑動圖文取消，下方區域也會消失的bug


TadTools 2.09 (2014-03-05 釋出)
====================================
1.微調工具列，使之在首頁不出現，僅出現在次頁，以維持畫面美觀
2.加入自動刪除輕鬆架安裝檔install_chk.php，以增加系統安全性。
3.修正若同一頁面有兩個以上的responsiveslides滑動圖片，只有一個能運作的bug
4.修改 TadUpFiles 物件，修正附檔名為大寫時無法讀到正確圖檔的問題
5.修正在手機上，下拉選單無效的問題
6.將快速登入整合到佈景中

TadTools 2.08 (2014-02-17 釋出)
====================================
1.微調樹狀目錄
2.修正樹狀表格的無法拖曳和縮放的問題
3.修正responsiveslides.css將滑動圖片的下邊距取消間隙。
4.新增randStr()，請同步更新 tadnews、tad_login、tad_uploader
5.修正修正responsiveslides無法顯示文字內容的問題


TadTools 2.07 (2014-01-25 釋出)
====================================
1.更新 treeTable 為 3.1.0 版，解決和 bootstrap 某些功能相衝的問題。


TadTools 2.06 (2014-01-20 釋出)
====================================
1.若工具列只有一個回首頁時，則自動隱藏工具列。
2.新增 txt_to_group_name()、get_all_groups()、get_basename()、to_utf8()、is_utf8()、auto_charset()等共同函數。
3.修改 TadUpFiles 物件，使之匯入檔案時也可以支援中文檔名。

TadTools 2.05 (2014-01-16 釋出)
====================================
1.加強 PHP 語法格式，避免開除錯時產生通知訊息。
2.關閉 TadUpFiles 的 jQuery UI（避免影響pda.php頁面）
3.修改 TadUpFiles 使之可以上傳CSV檔
4.共同佈景中加入抓取導覽列logo圖的功能


TadTools 2.04 (2014-01-02 釋出)
====================================
1.刪除FCK的上傳測試頁面，強化安全性
2.新增TadUpFiles的檔案複製匯入方法 import_one_file();
3.新增佈景共同樣板檔元件（供開發佈景用）
3.更新ResponsiveSlides為1.54版

TadTools 2.03 (2013-12-19 釋出)
====================================
1.修改 TadUpFiles ，加入 get_file_for_smarty()的方法
2.修改 TadUpFiles ，修正刪除時，無法刪掉實體檔案的bug
3.加入BSIE（鄙視IE），有限度的提昇 bootstrap 對 ie6 的支援

TadTools 2.02 (2013-11-14 釋出)
====================================
1.針對 MySQL的嚴格模式做最佳化
2.修改 TadUpFiles 整合上傳物件使之支援各種編碼語系及平台，並強化下載效率（避免CPU衝高）。
3.新增轉碼工具函數，讓windows或linux都可以正確使用中文檔名
4.更新JW Player播放器為6.7版，並使用新的JW Player物件檔

TadTools 2.01 (2013-10-24 釋出)
====================================
1.修正iconize.css，新增更多格式支援
2.修改 JwPlayer 播放器，使之並支援自訂寬度。

TadTools 2.0 (2013-10-16 釋出)
====================================
1.更新 bootstrap 為 2.3.2，並使用更完整的 bootstrap（之前的bootstrap有精簡）
2.調整模組後台管理介面CSS，使表格標題列底色及文字顏色更為清楚，並解決IE看不到部份按鈕的bug。
3.新增 TadUpFiles 整合上傳物件
4.更新jquery.tinyMap為2.5.2版
5.移除 plupload 套件
6.加入 darkstrap，並新增佈景顏色（正常或深色）設定

TadTools 1.19 (2013-07-29 釋出)
====================================
1.由於 projekktor 播放器的不再支援youtube，故移除之。
2.修改 JwPlayer 播放器，改用HTML5播放，並支援自動寬度偵測。
3.修改 phpWord，使之可在表格中利用 \n 換行。

TadTools 1.18 (2013-07-01 釋出)
====================================
1.新增jquery.sharrre-1.3.4推文工具
2.升級 phpExcel 為 1.7.9 版
3.修改JwPlayer播放器設定，支援自動偵測影片寬度，自動依比例設定高度

TadTools 1.17 (2013-06-06 釋出)
====================================
1.抽出共用語系檔
2.更新驗證套件formValidator為2.6
3.取消對一般PHP程式的支援（僅支援XOOPS）
4.新增get_xoops_url()及get_xoops_path()兩個函數
5.更新 CKEditor 為4.1.1版
6.加入oembed多媒體崁入器及數學編輯工具等CKEditor外掛


TadTools 1.16 (2013-05-24 釋出)
====================================
1.修正後台表格標題文字變白色的問題
2.修改 facebook 留言框在第二層目錄下網站不正常的問題
3.修正lofslidernews滑動效果位置bug（感謝許若書提供修正檔）。
4.更新class.upload.php為0.32
5.修正MySQL ENGINE = MYISAM的情況下索引超過1000 bytes導致無法安裝的問題。
6.加入elrte編輯器，以便在行動裝置上使用。
7.將elFinder獨立出來，供CKEditor及elrte編輯器使用
8.修正ResponsiveSlides滑動下方空白過大的問題
9.修正編輯器語系可隨XOOPS語系變化
10.修正CKEdit中「上傳」按鈕失效的問題
11.解決編輯器不支援 xlanguage 的問題

TadTools 1.15 (2013-05-08 釋出)
====================================
1.加入fancyBox響應式燈箱工具
2.更新 bootstrap 為 2.3.1，並移除掉裡頭的 navbar 相關設定以避免影響原有的 bootstrap 設定。
3.新增tadtools的佈景是否欲使用額外的bootstrap設定。
4.將 tadtools 改為 XOOPS 2.5.5模組架構

TadTools 1.14 (2013-03-03 釋出)
====================================
1.更新 projekktor 播放器為 1.2.19r188 版，解決播放工具列不會自動浮現的問題
2.新增 footable 響應式表格工具
3.新增 PHPWord word文件產生物件
4.修正若從評論區塊連至有 FB 留言的頁面，其留言內容無法顯示的問題。


TadTools 1.13 (2012-12-17 釋出)
====================================
1.調整 facebook 留言框寬度為 100%
2.加入 projekktor 自由軟體播放器
3.加入 phpExcel 1.7.8 Excel物件（產生報表用）
4.加入 fpdf 製作 PDF 的物件
5.加入 jquery.raty-2.4.5 評分套件


TadTools 1.12 (2012-11-23 釋出)
====================================
1.加入 flexslider 響應式滑動工具
2.加入 ResponsiveSlides 響應式滑動工具
3.移除 fckeditor 改用 ckeditor 3.6.5（因為fckeditor在firfox 17無法正常運作）


TadTools 1.11 (2012-10-15 釋出)
====================================
1.取消 Google API 金鑰之後台偏好設定
2.取消 facebook 之後台偏好設定
3.更新 jquery 為1.8.2 版
4.更新 jquery-ui 為1.9.0 版
5.加入 jquery-mobile 1.2.0 版
6.更新引入jquery函數使用Google API模式的版本更新至jquery 1.8.2版及jqueryui 1.8.23
7.移除 jquery.qrcode 改用PHP方式產生圖檔，以解決部份瀏覽器無法正確看到QR Code的問題，並且可以在FB使用之。
8.更新fb留言框語法，使之寬度可以自動放大到全螢幕
9.更新換頁工具，使之顯示更正確，不會累加一堆g2p參數
10.更新 multiple-file-upload 為 1.48
11.更新FCKeditor為2.6.8版
12.修改分頁樣式
13.加入bootstrap 2.1.1


TadTools 1.10 (2012-7-14 釋出)
====================================
1.取消google API 金鑰之偏好設定
2.jquery預設以local模式運作
3.新增TinyMap2.23地圖工具
4.更新引入jquery函數使用Google API模式的版本更新至jquery 1.7.2及jqueryui 1.8.21


TadTools 1.9 (2012-06-12 釋出)
====================================
1.更新FCKeditor為2.6.7版
2.更新KCFinder為2.5.1版
3.更新class.upload.php為3.1版
4.更新JW Player為5.9版
5.更新jquery為1.7.2版
6.更新jquery-ui為1.8.20版
7.新增lofslidernews工具

TadTools 1.8 (2011-12-29 釋出)
====================================
1.更新JW Player物件，修正播放清單顯示問題。
2.更推文工具，改使用AddThis服務。
3.加入JW Player的高清支援

TadTools 1.7 (2011-12-08 釋出)
====================================
1.修正推文工具在IE下顯示問題。
2.更新JW Player 為 5.8 版，並支援 ipad 等裝置。
3.微幅修改樹狀表格功能。
4.加入高亮度語法支援。
5.加入手持裝置判斷功能。
6.加入QR Code功能

TadTools 1.6 (2011-11-12 釋出)
====================================
1. 更新 jw player 為 5.6 版
2. 更新驗證套件formValidator 1.4 為 2.2
3. 修正 chk2() 函數
4. 更新 jquery 版本為 1.6.4，jquery ui 版本為 1.8.16
5. 將 jquery 使用模式加入偏好設定中，以便從後台進行設定
6. 改善本地端 jquery 重複載入問題
7. fck 編輯器加入高亮度支援
8. 修改推文工具，加入Google+


TadTools 1.5 (2011-03-24 釋出)
====================================
1. 調整 jw player 5.3 物件
2. 加入表格樹 treeTable 的 jquery
3. 加入拖曳、排序功能
4. 加入 bubblepopup 提示套件
5. push_url 加入 $css 參數，可自訂推文工具列位置
6. 修正 chk2() 函數錯誤問題
7. 加強分頁物件功能
8. 加入自動轉連結 autolink() 函數
9. 新增jquery cookie
10.新增formValidator表單驗證工具
11.新增facebook留言函數

TadTools 1.4 (2010-11-25 釋出)
====================================
1. 加入 Jupload 上傳 java applet
2. 調整 jw player 5.3 物件
3. 加入 rrmdir 刪除目錄樹函數

TadTools 1.3 (2010-11-16 釋出)
====================================
1. 取消jBreadCrumb路徑工具的白色底色
2. 避免函數重複引入問題
3. 獨立jquery引入函數

TadTools 1.2 (2010-11-04 釋出)
====================================
1. 加入後台選單函數 admin_toolbar()
2. 加入水平路徑工具 jBreadCrumb
3. 加入影片播放套件 jw player 5.3
4. 修正引入mainfile.php 路徑
5. 加入取得 jquery 函數  Utility::get_jquery()
6. 加入jeditable，點擊編輯功能


TadTools 1.1 (2010-10-05 釋出)
====================================
1. 加入jquerychained 連動選單套件
2. 加入FCK編輯器的KCFinder套件。
3. FCK編輯器加入「減少縮排」及「取消連結」的按鈕，並開放tab鍵功能


TadTools 1.0 (2010-10-05 釋出)
====================================
1. FCKeditor 2.6.4所見即所得編輯器
2. dtree 樹狀目錄套件
3. Jquery 1.4.2 及 Jquery UI 1.8.4
4. lytebox 燈箱效果套件
5. multiple-file-upload 多檔上傳套件
6. My97DatePicker 月曆套件
7. upload 上傳套件
8. tad_function.php 常用函數檔
